<?php
/*
Copyright (c) 2004-2005, woah-projekt.de
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

* Redistributions of source code must retain the above copyright
  notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer
  in the documentation and/or other materials provided with the
  distribution.
* Neither the name of the phpmysig project (woah-projekt.de)
  nor the names of its contributors may be used to endorse or
  promote products derived from this software without specific
  prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
*/
//Set datatyp to image/png
header ("Content-type: image/png"); 

//get variables

include 'settings/config.inc.php';
include 'languages/'.$lang.'.inc.php';

//Open file user.db which includes sigantureviewer 
$user_db = file('user.db');
$user_sum = $user_db[0];

//Adding new signaturerview
$user_sum_new = ($user_sum + 1);

//Saving signatureviewer in user.db
fwrite(fopen('user.db','w'), $user_sum_new);

//Create image (png)
$im = ImageCreate (400, 142);

//Set colours 
$white  = ImageColorAllocate ($im, 255, 255, 255);
$color = ImageColorTransparent($im,$white);
$black  = ImageColorAllocate ($im, 0, 0, 0);
$red = ImageColorAllocate ($im, 255, 20, 20);

//Get actual date and time
$date = date($time_format);

//Get the realpath of the font 
$fpath = realpath('fonts/verdana.ttf');
$fpath_bold = realpath('fonts/verdana_bold.ttf');

//Create imagetext
ImageTTFText ($im, 10, 0, 5, 13, $red, $fpath, $user.'\'s '.$lang_sig_heading.':'); 
ImageTTFText ($im, 7, 0, 5, 23, $black, $fpath, $lang_date.': '.$date);
ImageTTFText ($im, 7, 0, 5, 36, $black, $fpath, $lang_visits.': '.$user_sum);
ImageTTFText ($im, 7, 0, 5, 49, $black, $fpath, $user_text); 
ImageTTFText ($im, 7, 0, 5, 62, $black, $fpath, $lang_guestbook.':');

//Open file guestbook.db which includes guestbook entrys 
$guestbook_db = file('guestbook.db');

//Set vertical line in text
$counter = 75;

for ($loop = (count($guestbook_db) - 8); $loop < count($guestbook_db); $loop = ($loop + 4)){
 
    $id = str_replace("\n","",$guestbook_db[$loop]);
    $username = str_replace("\n","",$guestbook_db[($loop + 1)]);
    $time_unix = str_replace("\n","",$guestbook_db[($loop + 2)]);
    $entry = str_replace("\n","",$guestbook_db[($loop + 3)]);
  
    //Convert unixtime into readable time
    $time = date($time_format, $time_unix);
  
    //Create imagetext with the guestbookentrys
    if ($id > 0){
        ImageTTFText ($im, 7, 0, 5, $counter, $black, $fpath_bold, '#'.$id.' - '.$username.' '.$lang_wat.' '.$time.':'); 
    }
 
    //push vertical line in text
    $counter = ($counter + 13);
  
    //shows text in two rows if more than 60 characters
    if (strlen($entry) > 90){
        
        $entry_first = substr($entry, 0, 90);
        $entry_second = substr($entry, 90);
    
        ImageTTFText ($im, 7, 0, 5, $counter, $black, $fpath, $entry_first);
    
        //push vertical line in text
        $counter = ($counter + 13);
    
        ImageTTFText ($im, 7, 0, 5, $counter, $black, $fpath, $entry_second);
   
    }
    else {
 
        ImageTTFText ($im, 7, 0, 5, $counter, $black, $fpath, $entry);
    }
  
    //push vertical line in text
    $counter = ($counter + 13);
}

//Copyright: Do not remove!
ImageTTFText ($im, 6, 0, 5, 137, $red, $fpath, "phpmysig written by woah-projekt (woah-projekt.de)");

//Show image and delete temp-file
ImagePNG ($im); 
Imagedestroy ($im);
?>
